package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.ElasticScalingServicesMapper;
import com.zyc.system.domain.ElasticScalingServices;
import com.zyc.system.service.IElasticScalingServicesService;

/**
 * 弹性伸缩服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class ElasticScalingServicesServiceImpl implements IElasticScalingServicesService 
{
    @Autowired
    private ElasticScalingServicesMapper elasticScalingServicesMapper;

    /**
     * 查询弹性伸缩服务
     * 
     * @param id 弹性伸缩服务主键
     * @return 弹性伸缩服务
     */
    @Override
    public ElasticScalingServices selectElasticScalingServicesById(Integer id)
    {
        return elasticScalingServicesMapper.selectElasticScalingServicesById(id);
    }

    /**
     * 查询弹性伸缩服务列表
     * 
     * @param elasticScalingServices 弹性伸缩服务
     * @return 弹性伸缩服务
     */
    @Override
    public List<ElasticScalingServices> selectElasticScalingServicesList(ElasticScalingServices elasticScalingServices)
    {
        return elasticScalingServicesMapper.selectElasticScalingServicesList(elasticScalingServices);
    }

    /**
     * 新增弹性伸缩服务
     * 
     * @param elasticScalingServices 弹性伸缩服务
     * @return 结果
     */
    @Override
    public int insertElasticScalingServices(ElasticScalingServices elasticScalingServices)
    {
        return elasticScalingServicesMapper.insertElasticScalingServices(elasticScalingServices);
    }

    /**
     * 修改弹性伸缩服务
     * 
     * @param elasticScalingServices 弹性伸缩服务
     * @return 结果
     */
    @Override
    public int updateElasticScalingServices(ElasticScalingServices elasticScalingServices)
    {
        return elasticScalingServicesMapper.updateElasticScalingServices(elasticScalingServices);
    }

    /**
     * 批量删除弹性伸缩服务
     * 
     * @param ids 需要删除的弹性伸缩服务主键
     * @return 结果
     */
    @Override
    public int deleteElasticScalingServicesByIds(Integer[] ids)
    {
        return elasticScalingServicesMapper.deleteElasticScalingServicesByIds(ids);
    }

    /**
     * 删除弹性伸缩服务信息
     * 
     * @param id 弹性伸缩服务主键
     * @return 结果
     */
    @Override
    public int deleteElasticScalingServicesById(Integer id)
    {
        return elasticScalingServicesMapper.deleteElasticScalingServicesById(id);
    }
}
